
Redmine - Feature #3575

Diff with older revision

2009-07-01 18:54 - Tom Rochette

Status: Reopened Start date: 2009-07-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Hi,

Currently, we're only able to diff with the previous revision (r123 with r122).

I'd like to be able to specify a revision and diff with it, like it's already possible with SVN. For example, I'd like to diff my current

revision(13222) with revision 13213. Or diff any revision with another, for example r10111 with r10000.

Associated revisions

Revision 2849 - 2009-09-01 14:13 - Jean-Philippe Lang

SCM:

add latest changesets for the current directory when browsing the repository and a link to the full log

ability to diff a directory (#3575)

History

#1 - 2009-07-18 11:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You can do this from a file changes list. Eg:

http://www.redmine.org/projects/redmine/repository/changes/trunk/app/models/project.rb

Choose the 2 revisions you want to diff with the radio buttons on the left and click 'View differences' at the bottom.

#2 - 2009-07-18 16:27 - Tom Rochette

- Status changed from Closed to Reopened

I probably have expressed myself incorrectly. What I actually want to do is to diff a complete tree structure from a revision to another, at certain

directory level. The result should look pretty much like what you would get from doing

svn diff -r 100:HEAD . --summarize

 in SVN.

Similar idea can be found in Trac @ http://trac.edgewall.org/diff?new_path=%2F&old_path=%2F&new_rev=&old_rev= and

http://trac.edgewall.org/changeset?old_path=%2F&old=8364&new_path=%2F&new=8000.

#3 - 2009-07-30 08:34 - dale woolridge

I agree with Tom that this is an important feature that redmine is lacking when compared with trac.  It's pretty much the only thing holding us up from

moving over to redmine.  Our point releases involve many changesets/revisions across a number of tickets and we do a final security review of the all

the changes near the end of our QA cycle.

What would be ideal would be output something like r2824 but for a range of revisions (i.e. between r2813 and r2824, show all commit messages,

related issues and the files tree) for a given context (i.e. repository reference relative to root since we don't want to see changesets/revisions that did

not occur under a particular node).

#4 - 2009-08-25 20:12 - Felix Schäfer
https://www.redmine.org/projects/redmine/repository/svn/revisions/123
https://www.redmine.org/projects/redmine/repository/svn/revisions/122
https://www.redmine.org/projects/redmine/repository/svn/revisions/10111
https://www.redmine.org/projects/redmine/repository/svn/revisions/10000
http://www.redmine.org/projects/redmine/repository/changes/trunk/app/models/project.rb
http://trac.edgewall.org/diff?new_path=%2F&old_path=%2F&new_rev=&old_rev=
http://trac.edgewall.org/changeset?old_path=%2F&old=8364&new_path=%2F&new=8000
https://www.redmine.org/projects/redmine/repository/svn/revisions/2824
https://www.redmine.org/projects/redmine/repository/svn/revisions/2813
https://www.redmine.org/projects/redmine/repository/svn/revisions/2824


+1 on that one :-)

#5 - 2009-08-26 10:38 - Babar O'Cap

+1 with Git support

#6 - 2009-08-26 11:23 - Babar O'Cap

Tom Rochette wrote:

The result should look pretty much like what you would get from doing

svn diff -r 100:HEAD . --summarize

 in SVN.

 Here the equivalent Git command :

git --git-dir "path/redmine.git" diff --name-status a4d7a03b142889510c910cfb983a818f61653c11 HEAD
